Skip to main content
GET
/
workspaces
/
logs
Get audit logs
curl --request GET \
  --url https://app.freyavoice.ai/api/v2/workspaces/logs \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "logs": [
        {
          "id": "<string>",
          "workspaceId": "<string>",
          "eventType": "<string>",
          "eventDescription": "<string>",
          "actorId": "<string>",
          "createdAt": "<string>",
          "actorEmail": "<string>",
          "metadata": {}
        }
      ],
      "pagination": {
        "total": 123,
        "limit": 123,
        "offset": 123,
        "hasNext": true,
        "hasPrevious": true
      },
      "uniqueEventTypes": [
        "<string>"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

workspaceId
string<uuid>
required

Workspace ID

limit
string

Page size

offset
string

Offset for pagination

filters
string

Base64-encoded filter state

Global search term

sortBy
string

Sort field name

sortOrder
enum<string>

Sort direction

Available options:
asc,
desc
countBy
string
ids
string

Comma-separated log ids (export selection)

Response

Audit log entries

success
enum<boolean>
required
Available options:
true
data
object
required